org.tmatesoft.svn.core.wc.xml

## Class SVNXMLInfoHandler

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
  - - org.tmatesoft.svn.core.wc.xml.SVNXMLInfoHandler

All Implemented Interfaces:
  ISVNInfoHandler, org.xml.sax.Locator

    public class SVNXMLInfoHandler
    extends AbstractXMLHandler
    implements ISVNInfoHandler

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNXMLInfoHandler(org.xml.sax.ContentHandler contentHandler)` Creates a new info handler.
`SVNXMLInfoHandler(org.xml.sax.ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` Creates a new info handler.

### Method Summary

Methods
`protected java.lang.String` `getHeaderName()`
`protected java.lang.String` `getRelativePath(java.io.File path)`
`protected java.lang.String` `getTargetPath()`
`void` `handleInfo(SVNInfo info)` Handles info producing corresponding xml.
`void` `setTargetPath(java.io.File path)` Sets the target path what makes all paths be relative to this one.

### Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

`addAttribute, addTag, closeTag, endDocument, getColumnNumber, getDebugLog, getLineNumber, getPublicId, getSystemId, openTag, startDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVNXMLInfoHandler

    public SVNXMLInfoHandler(org.xml.sax.ContentHandler contentHandler)

Creates a new info handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

#### SVNXMLInfoHandler

    public SVNXMLInfoHandler(org.xml.sax.ContentHandler contentHandler,
                     org.tmatesoft.svn.util.ISVNDebugLog log)

Creates a new info handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree
  `log` - a debug logger

### Method Detail

#### setTargetPath

    public void setTargetPath(java.io.File path)

Sets the target path what makes all paths be relative to this one.

Parameters:
  `path` - target path

#### getHeaderName

    protected java.lang.String getHeaderName()

Specified by:
  `getHeaderName` in class `AbstractXMLHandler`

#### handleInfo

    public void handleInfo(SVNInfo info)
                    throws SVNException

Handles info producing corresponding xml.

Specified by:
  `handleInfo` in interface `ISVNInfoHandler`
Parameters:
  `info` - info
Throws:
  `SVNException`

#### getRelativePath

    protected java.lang.String getRelativePath(java.io.File path)

#### getTargetPath

    protected java.lang.String getTargetPath()